# Renew a Claimable Sandbox Onboarding Link

Renew the claimable sandbox onboarding link. This invalidates the existing onboarding link. The endpoint only works on a claimable sandbox with status `unclaimed` or `claimed`.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/claimable_sandboxes/clmsbx_test_61THl3VA5Zt5cTqbP16T9R4DRrSQbEWmWeLUx7WmOR8K/renew_onboarding_link \
  -H "Authorization: Bearer STRIPE_MANAGED_APP_SANDBOX_KEY" \
  -H "Stripe-Version: 2026-11-18.endive" \
  --json '{
    "onboarding_link_details": {
        "refresh_url": "https://example.com/updated-refresh"
    }
  }'
```

### Response

```json
{
  "id": "clmsbx_test_61THl3VA5Zt5cTqbP16T9R4DRrSQbEWmWeLUx7WmOR8K",
  "object": "v2.core.claimable_sandbox",
  "channel": "public",
  "claimed_at": null,
  "created": "2025-01-01T00:00:00.000Z",
  "expires_at": "2025-03-01T00:00:00.000Z",
  "onboarding_link_details": {
    "url": "https://dashboard.stripe.com/onboard_sandbox/GSNetF3zUxqFUafJp.....",
    "expires_at": "2025-01-10T01:00:00.000Z",
    "refresh_url": "https://example.com/updated-refresh"
  },
  "owner_details": null,
  "prefill": {
    "country": "US",
    "email": "jenny.rosen@stripe.com",
    "name": "Jenny Sandbox"
  },
  "sandbox_details": {
    "account": "acct_1RzPFWRlMpFp5RCK",
    "api_keys": null
  },
  "status": "unclaimed",
  "livemode": false
}
```

## Parameters

- [`onboarding_link_details`](https://docs.stripe.com/api/v2/core/claimable-sandboxes/renew-onboarding-link.md?query=onboarding_link_details) (object, optional)
  Details about the onboarding link. If omitted, existing details are reused. Omitted URL fields retain their existing values.

## Returns

Returns a [Claimable Sandbox object](https://docs.stripe.com/api/v2/core/claimable-sandboxes/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | claimable_sandbox_cannot_renew_link | When attempting to renew the claimable sandbox onboarding link, the sandbox is not `unclaimed` or `claimed`. |
